from channels.generic.websocket import AsyncWebsocketConsumer

from transcendence.abstract.AbstractRoomMember import AbstractRoomMember

class GameMember(AbstractRoomMember):

	def __init__(self, user_id: int, socket: AsyncWebsocketConsumer):
		super().__init__(user_id, socket)
		self.is_a_player = False
	
	def receive(self, data: dict):
		if (not self.is_a_player):
			self.send("You are not a player.")
			return

	def send_ball(self, ball):
		pass